SystemOrganization addCategory: #'OCMS-Interface'!

WAComponent subclass: #CoursewareListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OCMS-Interface'!

!CoursewareListView class methodsFor: 'as yet unclassified' stamp: 'has 6/28/2013 20:44'!
initialize
	WAAdmin register: self asApplicationAt: 'coursewares'.! !

!CoursewareListView methodsFor: 'rendering' stamp: 'has 6/29/2013 00:35'!
renderContentOn: html
	"I render the list of coursewares"

	html heading level: 1;
				with: 'Coursewares'.
	html unorderedList: [self renderItemsOn: html].! !

!CoursewareListView methodsFor: 'rendering' stamp: 'has 6/28/2013 23:44'!
renderItem: aCourseware on: html
	html listItem
		with: aCourseware title.! !

!CoursewareListView methodsFor: 'rendering' stamp: 'has 6/28/2013 23:41'!
renderItemsOn: html
	| coursewareList |
	coursewareList:= Coursewares getAll.
	coursewareList do:[:each | self renderItem: each on: html].! !

WAComponent subclass: #OCMSHome
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OCMS-Interface'!

!OCMSHome class methodsFor: 'root' stamp: 'monnacs 6/26/2013 21:06'!
canBeRoot

 
^true! !

!OCMSHome class methodsFor: 'class initialization' stamp: 'has 6/28/2013 19:34'!
initialize
	WAAdmin register: self asApplicationAt: 'ocms'.! !

!OCMSHome methodsFor: 'rendering' stamp: 'has 6/29/2013 11:00'!
renderContentOn: html
	"I render everything by calling html"
 
html heading level: 1; with: 'Open Courseware Management System'.
    html text: 'A system to store and share open courseware to academic institutions.'.

html div
	class: 'menu';
	with: [
		html heading level: 3; with: 'Log In.'.].
	
html space.

html anchor
	"url: 'http://localhost:8080/coursewares';"
	callback: [self showCoursewareListView];
	with: 'Courseware'.! !

!OCMSHome methodsFor: 'rendering' stamp: 'has 6/29/2013 10:57'!
showCoursewareListView
	self call: (CoursewareListView new).! !

!OCMSHome methodsFor: 'updating' stamp: 'monnacs 6/26/2013 22:02'!
updateRoot: anHtmlRoot
    super updateRoot: anHtmlRoot.
    anHtmlRoot stylesheet url: 'http://seaside.st/styles/main.css'! !
CoursewareListView initialize!
OCMSHome initialize!
